Bug 1249303 - spec file does not state dnf support
spec file does not state dnf support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 08:50 EDT by Christian Stadelmann
Modified: 2015-11-13 14:26 EST (History)
1 user (show)

See Also:
Fixed In Version: fedora-easy-karma-0-0.26.20150921gitc932687a.fc22 fedora-easy-karma-0-0.26.20150921gitc932687a.fc23 fedora-easy-karma-0-0.26.20150921gitc932687a.fc21 fedora-easy-karma-0-0.26.20150921gitc932687a.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 17:15:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-08-01 08:50:30 EDT
Description of problem:
On a fedora installation without yum installed, I can't install fedora-easy-karma without pulling in yum.

Version-Release number of selected component (if applicable):
0.24.20150508gitc8e437c0.fc2

Steps to reproduce:
Try `dnf install fedora-easy-karma` on a system without yum installed.

What happens?
fedora-easy-karma tries to pull in yum. See https://pkgs.fedoraproject.org/cgit/fedora-easy-karma.git/tree/fedora-easy-karma.spec#n24 for the why.

Expected behaviour:
According to git on https://pkgs.fedoraproject.org/cgit/fedora-easy-karma.git fedora-easy-karma has support for dnf. I guess theen fedora-easy-karma's spec file should reflect this by requiring either dnf or yum.
Comment 1 Fedora Update System 2015-09-22 12:35:00 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16437
Comment 2 Fedora Update System 2015-09-22 12:35:01 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16438
Comment 3 Fedora Update System 2015-09-22 12:35:10 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8194
Comment 4 Fedora Update System 2015-09-22 12:35:19 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16439
Comment 5 Fedora Update System 2015-09-22 23:54:18 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedora-easy-karma'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16437
Comment 6 Fedora Update System 2015-09-23 01:22:50 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedora-easy-karma'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16438
Comment 7 Fedora Update System 2015-09-23 04:52:27 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedora-easy-karma'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8194
Comment 8 Fedora Update System 2015-09-23 17:22:11 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedora-easy-karma'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16439
Comment 9 Fedora Update System 2015-10-03 17:15:16 EDT
fedora-easy-karma-0-0.26.20150921gitc932687a.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-12 18:30:26 EST
fedora-easy-karma-0-0.26.20150921gitc932687a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-12 21:52:40 EST
fedora-easy-karma-0-0.26.20150921gitc932687a.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-13 14:26:25 EST
fedora-easy-karma-0-0.26.20150921gitc932687a.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.